Zum Hauptinhalt springen
GET
/
sepa-xml-payments
/
{id}
cURL
curl -X GET \
 /sepa-xml-payments/{id} \
 --header "Authorization: Bearer <token>"
{
  "id": "ad8f1c1e-0b0a-4e1a-8b0a-0b0a4e1a8b0a",
  "type": "debit",
  "createdAt": "<unknown>",
  "dueDate": "2023-11-07T05:31:56Z",
  "remittanceInformation": "#Fynn - Debit for invoice 123",
  "endToEndId": "Fynn-123",
  "amount": 100,
  "sepaMandate": {
    "id": "ad8f0b9c-0b1a-4e1a-8b0a-0b1a4e1a8b0a",
    "status": "active",
    "creditorIdentifier": "<string>",
    "mandateReference": "MNDT-2021-0001",
    "signatureDate": "2021-01-01",
    "bankAccount": {
      "id": "ad8f0b9c-4b1e-4e0e-8b9c-4b1e4e0e8b9c",
      "alias": "Girokonto",
      "iban": "DE12500105170648489890",
      "bic": "PBNKDEFFXXX",
      "accountHolder": "Max Mustermann",
      "bankName": "Commerzbank",
      "source": "import",
      "asValue": {
        "iban": "DE89370400440532013000",
        "bic": "COBADEFFXXX",
        "accountHolder": "Max Mustermann",
        "bankName": "Commerzbank"
      },
      "tenantId": "<string>"
    },
    "sequenceType": "FRST",
    "sepaType": "core",
    "createdAt": "2021-01-01T00:00:00+00:00",
    "customer": "ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a",
    "firstSepaDebit": true,
    "tenantId": "<string>"
  },
  "sepaXmlStatement": "ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a",
  "invoice": "ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a",
  "transaction": "<unknown>",
  "autoCaptureAt": "2023-11-07T05:31:56Z",
  "notifications": [
    "ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a"
  ],
  "customer": "ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a",
  "executionDate": "2023-11-07T05:31:56Z",
  "tenantId": "<string>"
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Pfadparameter

id
string
erforderlich

SepaXmlPayment identifier

Antwort

SepaXmlPayment resource

id
string
Beispiel:

"ad8f1c1e-0b0a-4e1a-8b0a-0b0a4e1a8b0a"

type
enum<string>
Standard:debit

Possible values:

  • credit: Credit
  • debit: Debit
Verfügbare Optionen:
credit,
debit
Beispiel:

"debit"

createdAt
any
dueDate
string<date-time> | null
remittanceInformation
string | null
Beispiel:

"#Fynn - Debit for invoice 123"

endToEndId
string | null
Beispiel:

"Fynn-123"

amount
integer
Beispiel:

100

sepaMandate
object

A SEPA direct debit mandate authorizing the collection of payments from a customer's bank account.

sepaXmlStatement
string<uuid> | null
Beispiel:

"ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a"

invoice
string<uuid> | null

The invoice of the payment. In case of a cart payment or manual payment intent, the invoice is null.

Beispiel:

"ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a"

transaction
any

The transaction of the payment.

autoCaptureAt
string<date-time> | null
notifications
string<uuid>[]
customer
string<uuid>
Beispiel:

"ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a"

executionDate
string<date-time>
tenantId
string